(entmake [entity-list])


Add an entity to the drawing.


This function allows you to write the entity-list to the database. The entity-list must be in the dotted pair format, as shown by the entget function. Without a valid entity-list, entmake doesn't make the entity and returns nil.

Example

Code Meaning:
(entmake  
'((0 . "CIRCLE") Entity = circle
(62 . 5) Color = blue
(10 1.2 3.4 0.0) Center point = 1.2,3.4
(40 . 5.6) Radius = 5.6
)  
)  

NOTES

    • This function is similar to entmod. The difference is that entmake allows you to write a new list that was not previously in the database; entmod creates a new entity by modifying an existing entity.
    • Entmake does not require that you provide all information about the entity. Not required are dotted pair data about the entity's properties when they do not differ from default values: color, linetype, thickness, attributes-follow flag, and the entity handle.
    • While the data specified by entmake is very similar to DXF format, there is one primary difference: x,y,z coordinates are specified by entmake as a single value, rather than the separate values in DXF. Thus, you specify group code 10 with entmake, instead of DXF group codes 10 (x-coordinate), 20 (y-coordinate), and 30 (z-coordinate).

Tell me about...

(entdel entity-name)

(entget entity-name [application-list])

(entlast)

(entmod entity-list)

(entsel [prompt])

(entupd entity-name)

(nentsel [prompt])

(nentselp [prompt] [point])

LISP Compatibility

Programming Overview of LISP (LISt Processing) Language